News:

SMF 2.1.4 has been released! Take it for a spin! Read more.

Main Menu

Global Reset and Reinstallation

Started by Alex98, January 15, 2024, 02:34:53 PM

Previous topic - Next topic

Alex98

1. Global Reset and Reinstallation
   May I perform a global reset on the forum to delete it and then reinstall everything from scratch, including downloading the forum's database, users, and posts?*

2. Database Issues:
   I have a new issue - how can I fix or upgrade the database to a different version without upgrading the forum software? I want to remain on the current version until I develop a theme for version 2.1.

Recently, an issue has occurred when sending private messages (PMs). The problem is noted in the private inbox

Doug Heffernan

Quote from: Alexay. on January 15, 2024, 02:34:53 PM1. Global Reset and Reinstallation
   May I perform a global reset on the forum to delete it and then reinstall everything from scratch, including downloading the forum's database, users, and posts?*

There is no point at all doing that imo. I mean you want to delete the forum and then restore it again? I guess you can do that if you want. Or do you mean that you want to restore a backup from a certain time?

Quote from: Alexay. on January 15, 2024, 02:34:53 PMRecently, an issue has occurred when sending private messages (PMs). The problem is noted in the private inbox

Is the issue the one in the screenshot? If so try to search the forums as this has been answered and asked numerous times.

Quote from: Alexay. on January 15, 2024, 02:34:53 PM2. Database Issues:
   I have a new issue - how can I fix or upgrade the database to a different version without upgrading the forum software? I want to remain on the current version until I develop a theme for version 2.1.

What new issue do you have? It would help if you gave us as many details as possible.

For the rest I am not sure that I understand what you mean. Can you please elaborate further?

Alex98

So I have a problem as written in the picture, and that problem is when sending someone a PM, so when we want to send a PM to someone, it throws us this error, replace subs.php, but nothing helps
  I tried to straighten it, but that didn't work either.

The second question was how to update only the database without updating the forum, because I want it to be a newer database than 2.0.3, and I  would like to fix and harmonize everything without upgrading the smf version, I want to fix the database and make everything work

Namely, my IP does not work correctly, it gives me ip 0 0 0 to users (individual), now an error has occurred when I send a PM as it says in the picture.

I also asked if it is possible to delete SMF and install it again with the 2.0.19 version and to transfer users, posts and boards from this database.

I would be the happiest if the current base could be fixed so that all these errors would work

So I can't send pm
I have a problem with individuals on the forum whose IP is 0 0 0
When I transfer php to 8.1, the package installation does not work for me

Arantor

I don't recall there being any database changes between 2.0.3 and 2.0.19 and really that part of the error was *so* misleading that we removed it from 2.1 entirely.

Your issue is that you seem to be missing something possibly related to a mod. If you go into phpMyAdmin and to... I'd guess smf_personal_messages, is there a column in there called bcc_body? (Did you have a mod that did something with PMs at some point in the past?)

The IP address not working is almost certainly because you're now using IPv6 - and you can *try* the mod for it but honestly... planning an upgrade to 2.1 is a better bet.

Would deleting it and reinstalling help? No, because that's not what your problem is.

Doug Heffernan

Quote from: Alexay. on January 15, 2024, 03:47:00 PMSo I have a problem as written in the picture, and that problem is when sending someone a PM, so when we want to send a PM to someone, it throws us this error, replace subs.php, but nothing helps

The database column mentioned in the error message needs to be altered and have a default value set for it. A default value of NULL will do. Most likely that column has been added by a mod. If that is the case and you don't use that mod anymore, the one that has added it, you can drop the column altogether from the database.

Quote from: Alexay. on January 15, 2024, 03:47:00 PMThe second question was how to update only the database without updating the forum, because I want it to be a newer database than 2.0.3, and I  would like to fix and harmonize everything without upgrading the smf version, I want to fix the database and make everything work

You can't update only the database. The forum files will have to be overwritten too. I take it from your post that you don't want to go to smf 2.1.4, but want to remain with the 2.0.x. branch and use the latest version of said branch. In that case you can overwrite all your forum files with those from the large 2.0.19 upgrade package. I can't recall off the top of my head now if there were database changes between 2.0.3. and 2.0.19 versions. It would be best to run the upgrader just in case.


Alex98

I had that mod in the past, how to fix in the data base ?
I have tried  and it's  also  error,  i can  send you a picture if you want.
But I am thinking  about upgrading  in 2.1. ,but first I need tu make my  current  version strong because  it's  not easy  to  get a  25K member   to get used to new version

Alex98

I have successfully fixed PMs with the BCC Messages mod patch

I would like it if you would solve the problem with the ip
Big thanks

Doug Heffernan

Quote from: Alexay. on January 15, 2024, 04:35:00 PMI would like it if you would solve the problem with the ip

Quote from: Arantor on January 15, 2024, 04:04:18 PMThe IP address not working is almost certainly because you're now using IPv6 - and you can *try* the mod for it but honestly... planning an upgrade to 2.1 is a better bet.

Sir Osis of Liver

There were no database changes in 2.0 branch.  If you are currently running 2.0.3 you should be able to upload a clean set of 2.0.19 files and it will give you a clean install.  I would be inclined to first try patching to .19 in package manager.  The IPv6 mod mentioned above is here -

https://custom.simplemachines.org/index.php?mod=3051

It's written by Sleepy, should be good (haven't tried it).  Read the description so you know it's limitations.  Back up your 2.0.3 database before you do anything.  Once you have the forum running correctly in 2.0.19, you should consider upgrading to 2.1.4.  Would be a good idea to set up a clone and try everything there before messing with your production forum.  It can also server as a preview of 2.1 for your members.

Ashes and diamonds, foe and friend,
 we were all equal in the end.

                                     - R. Waters

Alex98

When I want to install the mod you offer me, this is what I get 


Sir Osis of Liver

Ashes and diamonds, foe and friend,
 we were all equal in the end.

                                     - R. Waters

Kindred

Mod is old.  Probably doesn't work with newer php versions
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Advertisement: